C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.LogStreams.ListAsync();
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.LogStreams.List(
context.TODO(),
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.logStreams().list();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->logStreams->list();
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.log_streams.list()
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.log_streams.list
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.logStreams.list();
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.logStreams.list();
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/log-streams \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"name": "<string>",
"status": "active",
"type": "http",
"isPriority": true,
"filters": [
{
"type": "category",
"name": "auth.login.fail"
}
],
"pii_config": {
"log_fields": [
"first_name"
],
"method": "mask",
"algorithm": "xxhash"
},
"sink": {
"httpEndpoint": "<string>",
"httpAuthorization": "<string>",
"httpContentFormat": "JSONARRAY",
"httpContentType": "<string>",
"httpCustomHeaders": [
{
"header": "<string>",
"value": "<string>"
}
]
}
}
]Get log streams
Retrieve details on log streams.
Sample Response
[{
"id": "string",
"name": "string",
"type": "eventbridge",
"status": "active|paused|suspended",
"sink": {
"awsAccountId": "string",
"awsRegion": "string",
"awsPartnerEventSource": "string"
}
}, {
"id": "string",
"name": "string",
"type": "http",
"status": "active|paused|suspended",
"sink": {
"httpContentFormat": "JSONLINES|JSONARRAY",
"httpContentType": "string",
"httpEndpoint": "string",
"httpAuthorization": "string"
}
},
{
"id": "string",
"name": "string",
"type": "eventgrid",
"status": "active|paused|suspended",
"sink": {
"azureSubscriptionId": "string",
"azureResourceGroup": "string",
"azureRegion": "string",
"azurePartnerTopic": "string"
}
},
{
"id": "string",
"name": "string",
"type": "splunk",
"status": "active|paused|suspended",
"sink": {
"splunkDomain": "string",
"splunkToken": "string",
"splunkPort": "string",
"splunkSecure": "boolean"
}
},
{
"id": "string",
"name": "string",
"type": "sumo",
"status": "active|paused|suspended",
"sink": {
"sumoSourceAddress": "string"
}
},
{
"id": "string",
"name": "string",
"type": "datadog",
"status": "active|paused|suspended",
"sink": {
"datadogRegion": "string",
"datadogApiKey": "string"
}
}]
GET
https://{tenantDomain}/api/v2
/
log-streams
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.LogStreams.ListAsync();
}
}package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.LogStreams.List(
context.TODO(),
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.logStreams().list();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->logStreams->list();
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.log_streams.list()
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.log_streams.list
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.logStreams.list();
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.logStreams.list();
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/log-streams \
--header 'Authorization: Bearer <token>'[
{
"id": "<string>",
"name": "<string>",
"status": "active",
"type": "http",
"isPriority": true,
"filters": [
{
"type": "category",
"name": "auth.login.fail"
}
],
"pii_config": {
"log_fields": [
"first_name"
],
"method": "mask",
"algorithm": "xxhash"
},
"sink": {
"httpEndpoint": "<string>",
"httpAuthorization": "<string>",
"httpContentFormat": "JSONARRAY",
"httpContentType": "<string>",
"httpCustomHeaders": [
{
"header": "<string>",
"value": "<string>"
}
]
}
}
]Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Returning log streams
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
The id of the log stream
log stream name
The status of the log stream. Possible values: active, paused, suspended
Available options:
active, paused, suspended Available options:
http True for priority log streams, false for non-priority
Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes